import request from '@/utils/request'
//全国经济大全列表
export function nationalPage(param) {
  return request({
    url: '/economic/national/nationalPage',
    method: 'POST',
    data: param
  })
}
//全国经济大全详情
export function getNationalDetails(param) {
  return request({
    url: '/economic/details',
    method: 'POST',
    data: param
  })
}

//获取年份-下拉
export function getYears(param) {
  return request({
    url: '/economic/years/list',
    method: 'POST',
    data: param
  })
}


//全国按月招标统计
export function countGroupByMonth(param) {
  return request({
    url: '/marketAnalysis/countGroupByMonth',
    method: 'POST',
    data: param
  })
}

//按属地统计招标数量
export function countGroupByProvince(param) {
  return request({
    url: '/marketAnalysis/countGroupByProvince',
    method: 'POST',
    data: param
  })
}
//获取年份-下拉
export function getYear() {
  return request({
    url: '/marketAnalysis/getYear',
    method: 'POST',
  })
}


//全国建筑企业概览-资质等级按照行业、等级类型分组
export function certGroupByMajorAndLevel() {
  return request({
    url: '/marketAnalysis/certGroupByMajorAndLevel',
    method: 'POST',
  })
}
//全国建筑企业地区分布-资质等级按照行业、省份、等级类型分组
export function certGroupByMajorProvinceLevel() {
  return request({
    url: '/marketAnalysis/certGroupByMajorProvinceLevel',
    method: 'POST',
  })
}
//全国建筑企业备案分布-各省份备案企业统计
export function areaGroupByProvince() {
  return request({
    url: '/marketAnalysis/areaGroupByProvince',
    method: 'POST',
  })
}


//区域经济

//地区经济-统计
export function regional(param) {
  return request({
    url: '/economic/statistics/regional',
    method: 'POST',
    data: param
  })
}
//地区经济-主要指标列表
export function regionalList(param) {
  return request({
    url: '/economic/regional/list',
    method: 'POST',
    data: param
  })
}



